Subject: Re: bug#21718: 24.5; Backgrounding emacsclient hangs emacs

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 08 Jul 2021 16:14:52 +0200

Ed Avis <[email-masked]> writes:

> I've gone back to the original recipe, with no GNU screen and no
> .bashrc file to set environment variables.  It's as I described it
> back in 2015:
>
> I am running emacs from a text ssh session.
>
> % emacs -Q
> M-x server-start RET
> M-x shell RET
> % touch foo
> % emacsclient foo
> C-x b RET                  (switch back to shell buffer)
> M-x comint-stop-subjob RET

Ah -- I was running the outer Emacs as a graphical Emacs.  With "emacs
-Q -nw" I can reproduce the problem.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no